eskimo42

Registered
Nov 8, 2007
2
0
51
I have been trying to compile PHP with /scripts/easyapache.
I have now built PHP/Apache twice and selected the openSSL & curl options. However I am still getting this error with my PHP script:


Warning: fsockopen() [function.fsockopen]: unable to connect to ssl://www.ups.com:443 (Unable to find the socket transport "ssl" - did you forget to enable it when you configured PHP?) in /home/nalsa/public_html/nalsa/administrator/components/com_virtuemart/classes/shipping/ups.php on line 214


This is the configure command I see in PHPinfo():

'./configure' '--enable-bcmath' '--enable-calendar' '--enable-ftp' '--enable-libxml' '--enable-magic-quotes' '--enable-sockets' '--prefix=/usr/local' '--with-apxs2=/usr/local/apache/bin/apxs' '--with-imap=/opt/php_with_imap_client/' '--with-imap-ssl=/usr' '--with-kerberos' '--with-libxml-dir=/opt/xml2/' '--with-mcrypt=/opt/libmcrypt/' '--with-mysql=/usr' '--with-mysql-sock=/var/lib/mysql/mysql.sock' '--with-zlib' '--with-zlib-dir=/usr'

I don't see openSSL or curl. I do believe /scripts/easyapache is compiling support for ssl into apache, but how come not PHP?

I hope someone can help me get this all straightened out!

Thank You,

Evan